%global enable_tests 1 
%global module_name unzip-response
%global commit0 7043fa2fbdc36d84a25dc398dc5f323b9f1747ce
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           nodejs-%{module_name}
Version:        1.0.0
Release:        1%{?dist}
Summary:        Unzip a HTTP response if needed

License:        MIT
URL:            https://github.com/sindresorhus/is-plain-obj
Source0:        https://github.com/sindresorhus/%{module_name}/archive/%{commit0}.tar.gz#/%{module_name}-%{shortcommit0}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(concat-stream)
BuildRequires:  npm(tape)
%endif

%description
Unzips the response from http.request if it's gzipped/deflated, otherwise
just passes it through.

%prep
%setup -q -n %{module_name}-%{commit0}
rm -rf node_modules

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -p package.json index.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
node test/test.js
%endif

%files
%doc readme.md
%license license
%{nodejs_sitelib}/%{module_name}

%changelog
* Fri Jul 31 2015 Parag Nemade <pnemade AT redhat DOT com> - 1.0.0-1
- Initial packaging

